/* Prevent adjustments of font size after orientation changes in IE on Windows Phone and in iOS.  */
html {-webkit-text-size-adjust: 100%; -ms-text-size-adjust: 100%;}

/*  apply a natural box layout model to all elements  */
* { -moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box; }

html {
    scroll-behavior: smooth;
}
@keyframes fadeInAnimation {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
.hidden {
    display: none;
}
nav button img {
    width: 10vw;
    margin: 0.25vw 0.5vw 0 1vw;
    padding: 0;
}
nav button {
    border: none;
    background-color: white;
}

body {
    margin: 0 3vw 0 3vw;
    font-family: "Jost", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
  text-align: center;
}

 
header {
    height: 15vh;
    animation: fadeInAnimation ease 3s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
    
    text-align: center;
    align-items: left;
}
header h1 {
    margin: 5vh 0 1vw 1vw;
    font-size: 2.5rem;
}
header h2 {
    text-align: center;
    color:rgb(75, 75, 75);
    font-weight: 500;
    margin: 1vw 0 1vw 1vw;
    font-size: 1.5rem;
}
header hr {
    border: none;
    text-align: left;
    width: 100vw;
    margin:0 0 0 1vw;
}
#expanded {
    text-align: right;
}
nav {
    display: flex;
    justify-content: space-between;
    margin: 0;
    align-content: center;
    padding: 1vw 0 1vw 0;
    position: sticky;
    background-color: white;
    width:100%;
    top: 0;
    z-index: 1;
}
nav ul {
    margin: 0.25vw 15vw 3vw 0;
    display: flex;
    flex-direction: column;
    list-style-type: none;
    align-items: center;
}

nav li {
    margin: 3.5vw 1.5vw 3.5vw 1.5vw;
    width: 4vw;
    text-align: center; 
    font-size: 1.3rem;
}

a {
    text-decoration: none;
    color: black;
}

p {
    text-align: left;
    font-size: 1.2rem;
    margin: 1vw;
    font-weight: 300;
}

h2 {
    margin: 4vw 1vw 4vw 1vw;
    font-size: 2rem;
    font-weight: 400;
    text-align: center;
}
h3 {
    margin: .5vw;
    font-size: 1.5rem;
    font-weight: 400;
    text-align: center;
}
h1 {
    font-size: 2rem;
    font-weight: 600;
    margin: 3vw 0 4vw 1vw;
    text-align: center;
}

#logo h2 {
    margin: 1vw;
    padding: 0;
    font-size: 6.5vw;
    font-weight: 600;
}

#logo a {
    display: flex;
    width: 65%;
    position: absolute;
    left:0;
    padding:1vw;
    margin:0;
    align-content: center;
    color: #2C6916;
}

#logo img {
    width: 10vw;
    margin: 0 0.5vw 0 1vw;
    padding: 0;
}
img {
width: 100%;
height: auto;
margin: 3vw 0 3vw 0;
}
    
/* portfolio items */

.right {
    text-align: center;
    padding: 0;
}
.left {
    padding: 0.5vw;
}
.left p {
    margin: 0.5vw;
    text-align: center;
}
.left h2 {
    text-align: center;
    font-weight: 600;
}
.portfolioItem {
    text-align: center;
    margin: 0.75rem;
    border-radius: 8px;
}

.right img {
    height: 50vw;
     max-width: 100%;
 }

.portfolioItem h2 {
    font-size: 1.5rem;
    margin-bottom: 3vw;
}
.portfolioItem p {
    font-size: 1.2rem;
    margin: 2vw;
    font-weight: 400;
}

#portfolioItemsDisplay img {
    width: auto;
    margin: 1rem;
    border-radius: 5px;
}

.lineDiv button {
    color: white;
    font-size: 1.2rem;
    background-color: #548542;
    border-radius: 5rem;
    text-align: center;
    padding: 2vw 5.5vw 2vw 5.5vw;
    border: none;
    margin: 3vw;
}

footer img {
    height: 5vw;
    width: auto;
    margin: 0 1vw 0 1vw;
}
#footerContacts {
    margin-right: 5vw;
}

footer {
    display:flex;
    align-items: center;
    justify-content: space-between;
    margin: 0 -3vw 0 -3vw;
    padding: 2.5vw 0 2.5vw 0;
    background-color: #E9F7E4;
}

footer p {
    margin-left: 5vw;
    font-size: 1.1rem;
    font-weight: 350;
    
}

#contact {
    background-color: #E9F7E4;
    margin: 5vw -3vw 0 -3vw;
    padding: 5vw 1vw 0 1vw;
    text-align: center;
}
#contact a:hover {
    text-decoration: underline;
}
#contact h2 {
    margin: 5vw;
    font-size: 2rem;
    font-weight: 600;
}
#contact p {
    font-size: 1.2rem;
    max-width: none;
    font-weight: 400;
    text-align: center;
}

#contact hr {
    margin: 10vw 3vw 0 3vw;
    border: 0.1px solid gray;
}
#about {
    margin-top: 3vw;
}
#aboutMe img {
    width: 40vw;
    height: 40vw;
    margin: 1vw;
}
#aboutMe {
    text-align: center;
    margin: 1vw;
    padding: 3vw;
    background-color: #2C6916;
    color: white;
    align-items: center;
    border-radius: 8px;
}
#aboutMe h2 {
    margin: 0 0 2vw 0;
    font-size: 1.75rem;
}
#aboutMe p {
    font-size: 1.2rem;
}

/*div colors*/
.embroidery {
    background-color: #FFFB8F;
}
.embroidery:hover {
    background-color: #FAF570
}

.denali {
    background-color: #BDCEA7;
}
.denali:hover {
    background-color: #a1b787;
}

.formats {
    background-color: #E2D6EA;
}
.formats:hover {
    background-color: #D7B2EF;
}

.ist {
    background-color: #FFD4A1;
}
.ist:hover {
    background-color: #FFC076;
}

.cookies {
    background-color: #FBD7D8;
}
.cookies:hover {
    background-color: #FFBABC;
}

.uta {
    background-color: #B0CDE7;
}
.uta:hover {
    background-color: #94C4EF;
}